import { useEditor, EditorContent } from '@tiptap/react';
import StarterKit from '@tiptap/starter-kit';
import Blockquote from '@tiptap/extension-blockquote';
import { CustomImage } from './CustomImageExtension';


interface ArticleContentProps {
  content: string;
}

// Показ контента статьи в редакторе, в режиме "только чтение"
export function ArticleContent({ content }: ArticleContentProps) {
  const editor = useEditor({
    extensions: [
      StarterKit.configure({
        blockquote: false, // Отключаем дефолтный
      }),
      Blockquote.configure({
        HTMLAttributes: {
          class: 'border-l-4 border-gray-300 pl-4 italic',
        },
      }),
      CustomImage
    ],
    content,
    editable: false, // Контент только для чтения
  });

  return (
      <div className="prose prose-lg max-w-none mb-8">
        <EditorContent editor={editor} />
      </div>
  );
}
